<template>
  <div class="page-wrapper cabinet">
    <the-header class="fixed-top" />
    <div class="cabinet-wrapper">
      <nav id="userProfileModal" class="custom-modal sidebar">
        <button class="modal-close">&#10005;</button>
        <div class="sidebar-content">
          <div class="welcome-box">
            <span>Привет, <br />{{ $store.state.auth.user.username }}!</span>
          </div>
          <nav class="sidebar-nav">
            <ul class="nav">
              <li>
                <nuxt-link to="/profile/">Мои данные</nuxt-link>
              </li>
              <li>
                <nuxt-link to="/profile/comments">Мои комментарии</nuxt-link>
              </li>
              <li><nuxt-link to="/profile/favorite">Избранное</nuxt-link></li>
              <li>
                <nuxt-link to="/profile/add-showroom"
                  >Добавить шоурум</nuxt-link
                >
              </li>
            </ul>
          </nav>
          <ul class="nav">
            <li>
              <a
                href="/"
                class="logout"
                @click.prevent="() => $store.dispatch('authService/logout')"
                >Выйти</a
              >
            </li>
          </ul>
        </div>
      </nav>
      <div class="content-wrapper">
        <nuxt keep-alive />
        <the-footer />
      </div>
    </div>
  </div>
</template>

<script>
import TheHeader from '@/components/layouts/TheHeader.vue'
import TheFooter from '@/components/layouts/TheFooter.vue'
export default {
  name: 'LayoutUser',
  components: {
    TheHeader,
    TheFooter,
  },
  middleware: 'auth',
}
</script>
